Bug 226729 - (duel3) Review Request: duel3 - One on one spaceship duel in a 2D arena
Review Request: duel3 - One on one spaceship duel in a 2D arena
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Stone
Fedora Package Reviews List
: Reopened
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2007-02-01 04:10 EST by Hans de Goede
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-19 12:57:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
chris.stone: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2007-02-01 04:10:56 EST
Spec URL: http://people.atrpms.net/~hdegoede/duel3.spec
SRPM URL: http://people.atrpms.net/~hdegoede/duel3-0.1-0.1.20060225.fc7.src.rpm
Description:
The sudden attack from the Martain Rim miners caught the Earth by suprise,
there was no way the meager Earth Space Fleet could defend themselves. The
miners attacked, and eliminated their enemies, and then returned to the
asteroid belt. However, Earth could not accept such an embarrassing defeat. The
military developed new space fighters, and trained several squadrons of elite
pilots. The task force was then deployed against the miners. These trained
pilots utterly defeated the miners in a matter of weeks, and the first space
war in human history was finished.

The military, however, now had a new problem on their hands. These new elite
pilots were becoming restless, and there was no way for them to test their
skills. The military dare not disband the force, or let their skills dull, so
the Duel Combat League was formed. The newly formed league quickly became the
premier entertainment form on the planet, and the military's largest source of
income.

Take control of a Duel fighter, and test your skills againt your opponents and
the arena itself in fast-paced space combat.

---

Notice that the music in the game comes from here:
http://www.s3m.com/dma/displayuser.php?user_id=1061
As is stated in the readme and does not seem to come with any license of its own, I've contacted the author of the music for further license information.
Comment 1 Hans de Goede 2007-02-01 07:09:51 EST
The music issue has been cleared, I got the following answer from the author of
the music:

"Hi!

the first thing I have to say is that I'm spanish, so I hope that my english
will be fine.

thanks for your e-mail. These songs can be used freely. The only thing I want is
to be credited on the game as "Antonio Salgado" that  is my real name.

When I'll arrive at home I'll try the game, It looks good.

thanks again.

see you!!"

So only proper crediting is needed, I'll fix this with the next release,
together with any other issues which come up during review.
Comment 2 Christopher Stone 2007-02-01 11:40:42 EST
Standard review comment for Hans' packages: icon-theme??  ;-)
Comment 3 Hans de Goede 2007-02-02 02:33:24 EST
AHHH , me stupid yes I forgot that as usual, will I ever learn? I'll fix that
together with a note about the music license and any other needed fixes when a
full review is done. Unless the reviewer wants a fixed version before beginning
in that case let me know.
Comment 4 Christopher Stone 2007-02-02 12:10:52 EST
No it's quite alright.  I left this bug open for a day or so incase Jochen
wanted to review it, but since no one has taken it I will.
Comment 5 Christopher Stone 2007-02-02 13:05:09 EST
==== REVIEW CHECKLIST ====
- rpmlint output clean
- package named according to package naming guidelines
- spec file name matches %{name}
- package meets packaging guidelines
- package licensed with open source compatible license
- license tag matches actual license
X license file included in %doc
- spec written in American english
- spec file is legible
- sources match upstream
44023431a37932ab44a9cf0be9230714  Duel3_20060225_src.zip
0aa9fa786257d6f1d6dd79d2bf591070  Duel3_20060225_bin.zip
- successfully compiles and builds on FC-6 x86_64
- all build dependencies listed in BR
- no locales
- no shared libraries
- not relocatable
- package owns all directories it creates
X package does not bring in all Requires for dirs it does not own
- no duplicates in %files
- file permissions set properly
- contains proper %clean section
- macro usage consistent
- package contains code
- no large documentation
- %doc does not affect runtime
- no header files or static libs
- no pkgconfig files
- no library files with suffix
- no need for devel subpackage
- no libtool archives
- contains proper desktop file
- does not own files or directories owned by other packages


==== MUST FIX ====
- Requires icon cache package to pull in icon dir
- Include artwork license in %doc
Comment 6 Hans de Goede 2007-02-03 05:49:59 EST
(In reply to comment #5)
> ==== MUST FIX ====
> - Requires icon cache package to pull in icon dir
Done

> - Include artwork license in %doc

I assume you mean the music license as the rest of the artwork is under the same
license as the source -> done.

New version here:
Spec URL: http://people.atrpms.net/~hdegoede/duel3.spec
SRPM URL: http://people.atrpms.net/~hdegoede/duel3-0.1-0.2.20060225.fc7.src.rpm
Comment 7 Christopher Stone 2007-02-03 11:34:32 EST
Hans, please in the future follow the new guidelines outlined here:
http://fedoraproject.org/wiki/WarrenTogami/ReviewWithFlags

And ASSIGN this bug back to me when the ball is back in my court.  I happened to
catch this e-mail by chance since it wasnt ASSIGNED to me.

I know this is a total pain, please comment on fedora-packaging if you do not
like the new process (I did).

Anyway, all must items fixed.
APPROVED
Comment 8 Bill Nottingham 2007-02-05 17:05:56 EST
Package pre-import admin stuff done. Feel free to import.
Comment 9 Hans de Goede 2007-02-07 10:29:02 EST
Imported and build, closing.
Comment 10 Mamoru TASAKA 2007-02-19 12:56:29 EST
(Just fixing...)

Note You need to log in before you can comment on or make changes to this bug.